Eng
  1. Skip to navigation
  2. Skip to content
  3. Skip to sidebar


Vulnerability protection

Microsoft AntiXSS Library vulnerability could allow information disclosure


Report ID: MS201201007
Date Published: 11 January 2012

Criticality: Important
Compromise Type: information-disclosure
Compromise From: remote


Affected Product/Component:

Microsoft Anti-Cross Site Scripting Library V3.x
Microsoft Anti-Cross Site Scripting Library V4.0




Summary

A vulnerability in Microsoft Anti-Cross Site Scripting (AntiXSS) Library could lead to disclosure of information that can be used to further compromise a system.



Detailed Description

Microsoft has released a security update to address a vulnerability in Microsoft Anti-Cross Site Scripting (AntiXSS) Library that was caused by incorrect evaluation of certain characters. An attacker might attempt to perform a cross-site scripting (XSS) attack on a website that uses the AntiXSS Library, allowing a malicious script to be passed through a sanitization function and exposing certain information.

This issue has been resolved in the update by upgrading the AntiXSS Library to another version. Users are recommended to install the latest update to protect their system from potential exploit.



CVE Reference

CVE-2012-0007



Solution

Install the latest security patch for applicable system, available for download from (https://technet.microsoft.com/en-us/security/bulletin/ms12-007)




Online Virus Scanner

 
Run a quick online virus scan of your computer.